import { RecordVisitor } from "../proxy/RecordVisitor";
import { WorkPackageVisitor } from "./WorkPackageVisitor";
/**
 *
 */
export declare class SelectedWorkPackageVisitor extends RecordVisitor {
    private static CREATION_DATE_PROPERTY_NAME;
    private static DESCRIPTION_PROPERTY_NAME;
    private static DISCIPLINES_PROPERTY_NAME;
    private static ID_PROPERTY_NAME;
    private static LAST_UPDATE_DATE_PROPERTY_NAME;
    private static NAME_PROPERTY_NAME;
    constructor(value: string | object);
    static createFromWorkPackageVisitor(workPackageVisitor: WorkPackageVisitor): SelectedWorkPackageVisitor;
    creationDate(): string;
    setCreationDate(value: string): void;
    description(): string;
    setDescription(value: string): void;
    disciplines(): string;
    setDisciplines(value: string): void;
    id(): string;
    setId(value: string): void;
    lastUpdateDate(): string;
    setLastUpdateDate(value: string): void;
    name(): string;
    setName(value: string): void;
}
